/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.mock;

import java.util.List;
import java.net.URI;

import org.fabric3.spi.model.physical.PhysicalComponentDefinition;

/**
 * @version $Revision$ $Date$
 */
public class MockComponentDefinition extends PhysicalComponentDefinition {
    private URI classLoaderId;
    private List<String> interfaces;

    /**
     * Gets the classloader id.
     *
     * @return Classloader id.
     */
    public URI getClassLoaderId() {
        return classLoaderId;
    }

    /**
     * Set the classloader id.
     *
     * @param classLoaderId Classloader id.
     */
    public void setClassLoaderId(URI classLoaderId) {
        this.classLoaderId = classLoaderId;
    }

    /**
     * @return List of interfaces that are mocked.
     */
    public List<String> getInterfaces() {
        return interfaces;
    }

    /**
     * @param interfaces List of interfaces that are mocked.
     */
    public void setInterfaces(List<String> interfaces) {
        this.interfaces = interfaces;
    }

}
